Index: Makefile
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/net-mgmt/zabbix-server/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- Makefile	23 Aug 2010 20:15:43 -0000	1.9
+++ Makefile	24 Feb 2011 10:01:22 -0000
@@ -1,4 +1,4 @@
-# New ports collection makefile for:	zabbix-server
+# New ports collection Makefile for:	zabbix-server
 # Date created:		2009-12-09
 # Whom:			Jim Riggs <ports@christianserving.org>
 #
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	zabbix
-PORTVERSION=	1.8.3
+PORTVERSION=	1.8.4
 PORTEPOCH=	2
 CATEGORIES=	net-mgmt
 MASTER_SITES=	SF/zabbix/ZABBIX%20Latest%20Stable/${PORTVERSION}
@@ -47,7 +47,7 @@
 CONFIGURE_ENV+=	CPPFLAGS="-I${LOCALBASE}/include"
 
 .if ${ZABBIX_BUILD} != "agent"
-LIB_DEPENDS=	netsnmp:${PORTSDIR}/net-mgmt/net-snmp \
+LIB_DEPENDS+=	netsnmp:${PORTSDIR}/net-mgmt/net-snmp \
 		curl:${PORTSDIR}/ftp/curl
 
 SUB_FILES=	pkg-message
@@ -66,7 +66,8 @@
 		IPMI "Support for IPMI" off \
 		SSH "Support for SSH-based checks" off \
 		IODBC "Support for iODBC" off \
-		UNIXODBC "Support for unixODBC" off
+		UNIXODBC "Support for unixODBC" off \
+		LIBEXECINFO "Support for libexecinfo" off
 
 .include <bsd.port.options.mk>
 
@@ -133,6 +134,11 @@
 CONFIGURE_ARGS+=	--enable-ipv6
 .endif
 
+.ifdef WITH_EXECINFO
+LIB_DEPENDS+=	execinfo.1:${PORTSDIR}/devel/libexecinfo
+CONFIGURE_ENV+=	LDFLAGS+="-L${LOCALBASE}/lib -lexecinfo"
+.endif
+
 post-patch:
 	@${GREP} -rl "/etc/zabbix" ${WRKSRC} \
 	  | ${XARGS} ${REINPLACE_CMD} -e 's#/etc/zabbix#${ETCDIR}#g' \
Index: distinfo
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/net-mgmt/zabbix-server/distinfo,v
retrieving revision 1.4
diff -u -r1.4 distinfo
--- distinfo	23 Aug 2010 20:15:43 -0000	1.4
+++ distinfo	24 Feb 2011 09:55:15 -0000
@@ -1,3 +1,2 @@
-MD5 (zabbix-1.8.3.tar.gz) = 575c31880d73f6fe41e730874ebfc633
-SHA256 (zabbix-1.8.3.tar.gz) = 37262d751c9661a361380bf1480d277d81621d8a49c60a81667cbe258021065c
-SIZE (zabbix-1.8.3.tar.gz) = 4106152
+SHA256 (zabbix-1.8.4.tar.gz) = 0cbb237e2524631c4c849f4f19a67ef57e42025d651e213ef0cda48cf823163a
+SIZE (zabbix-1.8.4.tar.gz) = 4123814
Index: pkg-plist
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/net-mgmt/zabbix-server/pkg-plist,v
retrieving revision 1.2
diff -u -r1.2 pkg-plist
--- pkg-plist	23 Aug 2010 20:15:43 -0000	1.2
+++ pkg-plist	24 Feb 2011 09:55:15 -0000
@@ -22,10 +22,12 @@
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/UPS_small.png
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Workstation.png
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Workstation_small.png
+%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_ibm_db2.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_mysql.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_oracle.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_pgsql.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_sqlite3.sql
+%%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/ibm_db2.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/mysql.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/oracle.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/postgresql.sql
Index: pkg-plist.frontend
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/net-mgmt/zabbix-server/pkg-plist.frontend,v
retrieving revision 1.4
diff -u -r1.4 pkg-plist.frontend
--- pkg-plist.frontend	23 Aug 2010 20:15:43 -0000	1.4
+++ pkg-plist.frontend	24 Feb 2011 09:55:15 -0000
@@ -232,6 +232,7 @@
 %%WWWDIR%%/include/classes/class.ccolorcell.php
 %%WWWDIR%%/include/classes/class.ccombobox.php
 %%WWWDIR%%/include/classes/class.ccomboitem.php
+%%WWWDIR%%/include/classes/class.cconfigfile.php
 %%WWWDIR%%/include/classes/class.cdiv.php
 %%WWWDIR%%/include/classes/class.ceditablecombobox.php
 %%WWWDIR%%/include/classes/class.cfile.php
@@ -252,6 +253,7 @@
 %%WWWDIR%%/include/classes/class.cipbox.php
 %%WWWDIR%%/include/classes/class.cjson.php
 %%WWWDIR%%/include/classes/class.cjsscript.php
+%%WWWDIR%%/include/classes/class.clabel.php
 %%WWWDIR%%/include/classes/class.cldap.php
 %%WWWDIR%%/include/classes/class.clink.php
 %%WWWDIR%%/include/classes/class.clist.php
@@ -339,6 +341,7 @@
 %%WWWDIR%%/include/users.inc.php
 %%WWWDIR%%/include/validate.inc.php
 %%WWWDIR%%/include/valuemap.inc.php
+%%WWWDIR%%/include/xmlschemas/screens.rng
 %%WWWDIR%%/index.php
 %%WWWDIR%%/instal.php
 %%WWWDIR%%/items.php
@@ -422,6 +425,8 @@
 %%WWWDIR%%/styles/div.css
 %%WWWDIR%%/styles/form.css
 %%WWWDIR%%/styles/ie.css
+%%WWWDIR%%/styles/ie_css_bb.css
+%%WWWDIR%%/styles/ie_css_ob.css
 %%WWWDIR%%/styles/ie_css_od.css
 %%WWWDIR%%/styles/link.css
 %%WWWDIR%%/styles/p.css
@@ -444,6 +449,7 @@
 @dirrm %%WWWDIR%%/styles
 @dirrm %%WWWDIR%%/js/scriptaculous
 @dirrm %%WWWDIR%%/js
+@dirrm %%WWWDIR%%/include/xmlschemas
 @dirrm %%WWWDIR%%/include/locales
 @dirrm %%WWWDIR%%/include/classes
 @dirrm %%WWWDIR%%/include